import * as $dara from '@darabonba/typescript';
import { CreateNatIpCidrResponseBody } from "./CreateNatIpCidrResponseBody";
export declare class CreateNatIpCidrResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateNatIpCidrResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
